/**
 * @file MotionFile.h
 * @brief [Vf[^ǂݏ֐Q錾
 * @author cherub
 */
#ifndef MOTION_FILE_PARSER_NAMESPACE_HEADER_
#define MOTION_FILE_PARSER_NAMESPACE_HEADER_

#include "Figure.h"
#include "MotionData.h"

/**
 * @namespace NMotionFile MotionFile.h
 * @brief [Vf[^ǂݏ֐Q
 * @author cherub
 */
namespace NMotionFile
{
	// BVHt@C̃[h
	bool LoadBvhFile(const char *fpath, CFigure *fig, CMotionData *mot);
	// ASF-AMCt@C̃[h
	bool LoadAsfAmcFile(const char *asfpath, const char *amcpath, CFigure *fig, CMotionData *mot);

	// BVHt@C̃Z[u
	bool StoreBvhFile(const char *fpath, const CFigure *fig, const CMotionData *mot);
};

#endif //MOTION_FILE_PARSER_NAMESPACE_HEADER_
